# Uses of Class
com.databricks.jdbc.model.telemetry.SqlExecutionEvent

Packages that use SqlExecutionEvent
Package
Description
com.databricks.jdbc.model.telemetry

## Uses of SqlExecutionEvent in com.databricks.jdbc.model.telemetry

Methods in com.databricks.jdbc.model.telemetry that return SqlExecutionEvent
Modifier and Type
Method
Description
`SqlExecutionEvent`
SqlExecutionEvent.`setChunkDetails(ChunkDetails chunkDetails)`
`SqlExecutionEvent`
SqlExecutionEvent.`setChunkId(Long chunkId)`
`SqlExecutionEvent`
SqlExecutionEvent.`setCompressed(boolean isCompressed)`
`SqlExecutionEvent`
SqlExecutionEvent.`setDriverStatementType(StatementType driverStatementType)`
`SqlExecutionEvent`
SqlExecutionEvent.`setExecutionResultFormat(ExecutionResultFormat executionResultFormat)`
`SqlExecutionEvent`
SqlExecutionEvent.`setOperationDetail(OperationDetail operationDetail)`
`SqlExecutionEvent`
SqlExecutionEvent.`setResultLatency(ResultLatency resultLatency)`
`SqlExecutionEvent`
SqlExecutionEvent.`setRetryCount(Integer retryCount)`
Methods in com.databricks.jdbc.model.telemetry with parameters of type SqlExecutionEvent
Modifier and Type
Method
Description
`TelemetryEvent`
TelemetryEvent.`setSqlOperation(SqlExecutionEvent sqlOperation)`